<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: user_kedvenckep_include.php
| Author: Endorfin [Hungary]
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/

if (!defined("IN_FUSION")) { die("Access Denied"); }

// Display user field input
if ($profile_method == "input") {
	if (iMEMBER) {
	$user_kedvenckep = isset($user_data['user_kedvenckep']) ? $user_data['user_kedvenckep'] : "";
	if ($this->isError()) { $user_kedvenckep = isset($_POST['user_kedvenckep']) ? stripinput($_POST['user_kedvenckep']) : $user_kedvenckep; }

			if ($user_kedvenckep=="") {
				echo "<tr>\n";
				echo "<td class='tbl".$this->getErrorClass("user_kedvenckep")."'><label for='user_kedvenckep'>".$locale['uf_kedvenckep_desc'].$required."</label></td>\n";
				echo "<td class='tbl".$this->getErrorClass("user_kedvenckep")."'>";
				echo "<input type='file' id='user_kedvenckep' name='user_kedvenckep' class='textbox' style='width:200px;' /><br />\n";
				echo "<span class='small2'>".$locale['u186']."</span><br />\n";
				echo "<span class='small2'>Max: 1 MB.</span></td>\n";
				echo "</tr>\n";

				if ($required) { $this->setRequiredJavaScript("user_kedvenckep", $locale['uf_kedvenckep_error']); }

			} else {
				echo "<tr>\n";
				echo "<td class='tbl'>".$locale['uf_kedvenckep_desc'].$required.":</td>\n";
				echo "<td class='tbl'><img src='".IMAGES."field_photos/".$user_data['user_kedvenckep']."' alt='' /><br />\n";
				echo "<input type='checkbox' name='del_kedvenckep' value='y' /> ".$locale['u187']."\n";
				echo "<input type='hidden' name='user_kedvenckep' value='".$user_data['user_kedvenckep']."' /></td>\n";
				echo "</tr>\n";
			}
	}
// Display in profile
} elseif ($profile_method == "display") {
    if ($user_data['user_kedvenckep']) {
          echo "<tr>\n";
          echo "<td class='tbl1'>".$locale['uf_kedvenckep_desc']."</td>\n";
          echo "<td align='right' class='tbl1'><img src='".IMAGES."field_photos/".$user_data['user_kedvenckep']."' alt='' /></td>\n";
          echo "</tr>\n";
    }
// Insert and update
} elseif ($profile_method == "validate_insert"  || $profile_method == "validate_update") {
	// Get input data
	if (isset($_POST['del_kedvenckep'])) {
		if (file_exists(IMAGES."field_photos/".$this->userData['user_kedvenckep'])) {
			unlink(IMAGES."field_photos/".$this->userData['user_kedvenckep']);
		}
		$this->_setDBValue("user_kedvenckep", "");
	}

	if (isset($_FILES['user_kedvenckep']) && $_FILES['user_kedvenckep']['name'] != "") {
		require_once INCLUDES."infusions_include.php";
			$kedvenckepname="";
			$max = RAND(14,14);
			$chars = "abcdefghjkmnpqrstuvwxyz123456789";
			for ($i = 0; $i < $max; $i++) {
				$kedvenckepname .= substr($chars, mt_rand(0, strlen($chars) - 1), 1);
			}
		$kedvenckepUpload = upload_image(
			"user_kedvenckep", "$kedvenckepname", IMAGES."field_photos/", "3000", "3000", "3072000", true, true, false,
			"0", IMAGES."field_photos/", "w", "300", "300"
		);
		if ($kedvenckepUpload['error'] == 0) {
			if ($this->userData['user_kedvenckep'] != "" && file_exists(IMAGES."field_photos/".$this->userData['user_kedvenckep'])) {
				unlink(IMAGES."field_photos/".$this->userData['user_kedvenckep']);
			}
			$this->_setDBValue("user_kedvenckep", $kedvenckepUpload['thumb1_name']);
		} elseif ($kedvenckepUpload['error'] == 1) {
			$this->_setError("user_kedvenckep", $locale['u180']);
		} elseif ($kedvenckepUpload['error'] == 2) {
			$this->_setError("user_kedvenckep", $locale['u181']);
		} elseif ($kedvenckepUpload['error'] == 3) {
			$this->_setError("user_kedvenckep", $locale['u182']);
		} elseif ($kedvenckepUpload['error'] == 4) {
			// Invalid query string
		} elseif ($kedvenckepUpload['error'] == 5) {
			$this->_setError("user_kedvenckep", $locale['u183']);
		}

	}

}
?>

